#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'case_parser/case_parser.rb'

class CaseParser

  # ========================================================================== #
  # === CaseParser.parse
  #
  # This method will return a (sorted) array.
  #
  # To use this, do something like:
  #
  #   CaseParser.parse(__FILE__)
  # 
  # ========================================================================== #
  def self.parse(i, optional_run_already = :do_not_exit)
    return CaseParser.new(i, optional_run_already).results
  end; self.instance_eval { alias []           parse } # === CaseParser[]
       self.instance_eval { alias return_array parse } # === CaseParser.return_array

end